import request from '../../../utils/request'

export const createJptProgram = params =>
  request({
    url: '/jpt/programme',
    method: 'post',
    data: params,
  })

export const getJptProgramList = () =>
  request({
    url: '/jpt/programme',
    method: 'get',
  })
export const updatePsd = (params) =>
  request({
    url: '/jpt/programme/update_password',
    method: 'put',
    data: params,
  })

export const startJupyter = (params) =>
  request({
    url: '/jpt/programme/start_jupyter',
    method: 'put',
    data: params,
  })
export const stopJupyter = (params) =>
  request({
    url: '/jpt/programme/stop_jupyter',
    method: 'put',
    data: params,
  })
